Subject: Re: Absolute file-path under bash (cygwin32)
From: [email-masked] ("$Bill Luebkert")

19 Apr 1997 20:33:43 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0Gold (Win95; I)
Original-To: Jim Balter <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Jim Balter wrote:
> 
> Paul Prescod wrote:
> >
> > Jim Balter wrote:
> > > This discussion has become rather confused.  The topic *was*
> > > having *non*-cygwin programs understand *unix* path names, by,
> > > for instance hacking bash (I have faith that cygnus won't do this).
> >
> > Threads shift.
> 
> The thread has not shifted.  Hawkeye apparently misinterpreted it, and
> thought that the discussion was about making programs understand both
> DOS-style names and unix-style names, and suggested changing the library
> to handle both styles.  But the library *already* handles both styles.
> That doesn't help programs like vim understand unix paths, which was the
> topic and apparently, from the fact that you are still discussing
> bash, still is, since the only programs that need assistance from
> bash are non-gnu-win32 programs, like vim.

Hmmm, I can run vim from command.com or tcsh and use Unix file
naming conventions and it works fine.  I can also use DOS file 
naming conventions under command.com (but not tcsh).  When I run 
it under bash, it takes unix style pathnames, but locks up (or 
rather presents a blank screen).

> I believe that adding command line syntax to bash is a hack
> that doesn't fully address the problem and isn't really necessary.
> There aren't a large number of non-gnu-win32 command line programs
> that gnu-win32 users actually use, and they can be encapsulated
> in bash aliases or functions.  And for programs like vim (or emacs)
> most of the paths that you give it are interactively, after you have
> started the program, and they all have to be DOS-style paths.
> One way or the other, you will have to deal with both.  If you really
> really hate them and you really really have command line programs
> that aren't linked with gnu-win32 that you use often, you can write bash
> functions as front ends, and then you wouldn't even need the $/
> convention.
>
> I find the "let's change bash" argument rather odd coming from someone
> who has argued for the purity of HTML, but perhaps getting rolled over
> by a steamroller changes one's outlook. :-)
> 
> And of course, if you want to do something to your copy of bash that you
> think will make your life easier, you can; bash is free software.

I see no reason why bash can't do whatever it does with Unix style 
pathnames also with DOS style pathnames.  If someone doesn't like
it, then put it on a switch so it can be turned on or off.  That's
what we do with emacs vs vi command line editing.  If command.com 
can do it, logically so could bash and tcsh.  It's just a matter of 
whether we want to DOS bastardize it for all of the DOS users.

I'm sure if someone who wants the feature were to volunteer to code
it and put it under a switch, it could be done.

-- 
  ,-/-  __      _  _         $Bill Luebkert
 (_/   /  )    // //       DBE Collectibles
  / ) /--<  o // //      http://www.wgn.net/~dbe/
-/-' /___/_<_</_</_    Email: [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".